Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454986 - Unable to lower volume when screensaver is active
Summary: Unable to lower volume when screensaver is active
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-screensaver
Version: 17
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-11 10:17 UTC by Chris Ward
Modified: 2013-08-01 18:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 646193 (view as bug list)
Environment:
Last Closed: 2013-08-01 18:21:12 UTC


Attachments (Terms of Use)

Description Chris Ward 2008-07-11 10:17:45 UTC
Description of problem:
I had my music up quite loud on my laptop, while in a separate room.
Gnome-screensaver was activated, and when a friend wanted to lower the volume,
he was unable to because the laptop volume buttons that work to manipulate the
volume didn't work. I had to enter my password before the buttons worked again.

Version-Release number of selected component (if applicable):
gnome-screensaver-2.22.1-1.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1.turn on music
2.active gnome-screensaver
3.try to manipulate the volume without first dis-activating the screen-saver.
  
Actual results:
volume buttons don't work

Expected results:
volume buttons work; i can use the volume buttons without de-activating
gnome-screensaver.

Additional info:

Comment 1 Russell Harrison 2008-12-20 21:24:53 UTC
This is an extremely frustrating bug.  Especially if you use the "Random" theme.  Every time Skyrocket starts its incredibly loud and obnoxious.  If I duck out for any period of time Skyrocket always comes around and my wife has to leave the room the laptop is in because she has no way to turn off the sound.  I also have the same problem at work but thankfully my speakers there have a hardware volume knob.

Comment 2 Chris Ward 2009-01-05 06:37:30 UTC
In terms of annoyance and potential disruption caused by this bug, i'm raising the severity bar. Hopefully this issue isn't too difficult to address. 

Verified still an issue in F10.

Comment 3 Chris Ward 2009-09-25 07:29:33 UTC
This is still a valid request.

Comment 4 Bug Zapper 2009-11-16 08:09:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 kat 2009-12-16 06:48:30 UTC
I'm using F12 and agree with previous comments (not just for others' use but for when I need to mute sound quickly). I'd like it at least to be an option to allow volume changes/mute via laptop buttons when the screensaver is up.

Comment 6 Chris Ward 2009-12-16 09:18:35 UTC
Yes please!!!!

Comment 7 Chris Ward 2009-12-16 09:19:33 UTC
Could we at least get the assigned engineer to review and comment? Thanks.

Comment 8 Ray Strode [halfline] 2009-12-16 17:40:47 UTC
I'll chime in.

The problem here is when the screen is locked, the keyboard is restricted to the screensaver display connection.  Volume keys are handled by a different process (gnome-settings-daemon) that doesn't have access to the keyboard when the screensaver is running.

Fixing this is fairly difficult given the nature of the way X works.  Possible ideas include: 1) having screensaver duplicate gnome-settings-daemons functionality 2) moving the lock screen to a separate display (ala GDM's currently disabled "factory" mode 3) auto muting when screen locks

Comment 9 Russell Harrison 2010-01-05 16:24:30 UTC
While it might make a good configuration option, I'd vote against muting when the screen locks by default.  If you using your computer to play music while you do something else in the same room you'd want it to keep playing when the screen saver cut on.

Would it be easier to put a volume / mute button on the password challenge screen?  That way at least the other user would be able to mute the sound even if the volume keys didn't work or if there weren't any volume keys on the keyboard at all.

Comment 10 Chris Ward 2010-03-09 15:02:10 UTC
I agree; i don't think we should mute when screen locks by default either. I think the volume / mute button on the password challenge screen is IDEAL! 

I mean, extra points for enabling the keyboard volume keys to function as well, but at a minimum, the manual buttons on the screen are essential

Comment 11 Hans Ulrich Niedermann 2010-07-20 12:38:06 UTC
Given that more and more stuff appears to be handled via normal input events instead of special keys (such as adjusting brightness of laptop screen, sound volume, suspending the system, etc.), it would be really useful if those functions worked despite a screensaver.

Perhaps gnome-screensaver could somehow whitelist a number of actions and pass them through to whatever-gnome-magic is handling that in normal use?

Comment 12 Bug Zapper 2010-11-04 11:51:00 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Bug Zapper 2010-12-05 07:09:46 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 14 Chris Ward 2010-12-06 10:40:48 UTC
This is still a problem and valid request.

Comment 15 Fedora Admin XMLRPC Client 2011-06-21 15:59:59 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 16 Fedora End Of Life 2012-08-16 21:43:19 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 17 Chris Ward 2012-08-17 07:38:17 UTC
Re-opening. This is a valid bug still...

Comment 18 Ray Strode [halfline] 2012-08-17 14:23:32 UTC
should be fixed in f18

Comment 19 Fedora End Of Life 2013-07-04 06:44:00 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2013-08-01 18:21:20 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.